import { Pos } from "../components/arrows/Pos"
import { Segment } from "../components/arrows/BendableArrow"
import { PlayerId } from "./Player"

export enum MovementActionKind {
    SCREEN = "SCREEN",
    DRIBBLE = "DRIBBLE",
    MOVE = "MOVE",
}

export type Action = { type: MovementActionKind } & MovementAction

export interface MovementAction {
    fromPlayerId: PlayerId
    toPlayerId?: PlayerId
    moveFrom: Pos
    segments: Segment[]
}
